Neither Cpanel nor Plesk use PHP to work. You can install PHP5 completely independently of either control panel and everything will work just fine.

Now, if you're saying you can't use PHP5 because you can't install it with those control panels, then you need to learn how to install and configure PHP on your own, because the automated installations may not include all of the extensions you want or need, and it certainly isn't difficult, especially if you follow the step-by-step instructions on the PHP.net site.